h1, h2, h3, h4, h5 {
    margin: 0;
}

.subtitle {
    font-family: var(--secondaryFont);
}

.overview-wrapper {
    display: grid;
    padding: 10px 0;
    grid-gap: 20px;
    text-align: center;
    width: 80%;
    margin: 10px auto;
    align-content: center;
    grid-template-columns: 1fr 5fr;
    grid-template-areas: 'details-wrapper banner-wrapper';
}

.details-wrapper {
    grid-area: details-wrapper;
    margin: auto;
}

.banner-wrapper {
    grid-area: banner-wrapper;
    margin: auto;
}

.sideicon {
    filter: var(--inverted);
    width: 70%;
}

.banner {
    width: 100%;
    height: auto;
    border-radius: 5px;
}

.project-explanation-wrapper {
    display: grid;
    padding: 10px 0;
    grid-gap: 20px;
    width: 100%;
    margin: 10px auto;
    align-content: center;
    grid-template-columns: 4fr 1fr 4fr;
    grid-template-areas: 'left-description-wrapper vertical-line right-description-wrapper';
}

.project-explanation {
    color: var(--mainText);
    font-family: var(--secondaryFont);
}

.gallery-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    padding: 10px 0;
    grid-gap: 20px;
    width: 100%;
}

.gallery-wrapper img {
    border: solid 2px var(--themeDotBorder);
    border-radius: 5px;
    transition: transform 0.25s ease;
    height: 200px;
    margin: 0 auto;
    box-shadow: -3px 3px 5px -3px rgba(0,0,0,0.75);
}

#back-link {
    padding-right: 20px;
}

#vertical-line {
    position: relative;
    border-radius: 2px;
    border: 2px solid var(--mainText);
    left: 50%;
    background-color: var(--mainText);
    width: 0;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 50px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: hidden; /* Disable scroll */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
    margin: auto;
    display: block;
    height: 80%;
    max-height: 700px;
}

#caption {
    font-family: var(--secondaryFont);
    color: var(--secondaryText);
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    padding: 10px 0;
    height: 150px;
}

.modal-content, #caption {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

@media screen and (max-width: 800px) {
    .overview-wrapper {
        grid-template-columns: 1fr;
        grid-template-areas: 'banner-wrapper' 'details-wrapper';
    }

    .details-wrapper img {
        width: 30%;
    }
}